Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/s390/kernel/compat_wrapper.S |    2 +-
 25-akpm/include/asm-ia64/unistd.h         |    1 +
 25-akpm/include/linux/syscalls.h          |    2 +-
 25-akpm/kernel/compat.c                   |    1 +
 arch/ia64/ia32/ia32_entry.S               |    0 
 arch/ia64/ia32/sys_ia32.c                 |    0 
 arch/mips/kernel/scall64-o32.S            |    0 
 arch/parisc/kernel/sys_parisc32.c         |    0 
 arch/parisc/kernel/syscall_table.S        |    0 
 arch/ppc64/kernel/misc.S                  |    0 
 arch/ppc64/kernel/sys_ppc32.c             |    0 
 arch/ppc64/kernel/time.c                  |    0 
 arch/sparc64/kernel/systbls.S             |    0 
 arch/x86_64/ia32/ia32entry.S              |    0 
 arch/x86_64/ia32/sys_ia32.c               |    0 
 include/asm-mips/unistd.h                 |    0 
 include/asm-parisc/unistd.h               |    0 
 include/asm-ppc64/unistd.h                |    0 
 include/asm-s390/unistd.h                 |    0 
 include/asm-sparc64/unistd.h              |    0 
 include/asm-x86_64/unistd.h               |    0 
 kernel/time.c                             |    0 
 22 files changed, 4 insertions(+), 2 deletions(-)

diff -puN arch/ia64/ia32/ia32_entry.S~sys_stime-needs-a-compat-function-update arch/ia64/ia32/ia32_entry.S
diff -puN arch/ia64/ia32/sys_ia32.c~sys_stime-needs-a-compat-function-update arch/ia64/ia32/sys_ia32.c
diff -puN arch/mips/kernel/scall64-o32.S~sys_stime-needs-a-compat-function-update arch/mips/kernel/scall64-o32.S
diff -puN arch/parisc/kernel/syscall_table.S~sys_stime-needs-a-compat-function-update arch/parisc/kernel/syscall_table.S
diff -puN arch/parisc/kernel/sys_parisc32.c~sys_stime-needs-a-compat-function-update arch/parisc/kernel/sys_parisc32.c
diff -puN arch/ppc64/kernel/misc.S~sys_stime-needs-a-compat-function-update arch/ppc64/kernel/misc.S
diff -puN arch/ppc64/kernel/sys_ppc32.c~sys_stime-needs-a-compat-function-update arch/ppc64/kernel/sys_ppc32.c
diff -puN arch/ppc64/kernel/time.c~sys_stime-needs-a-compat-function-update arch/ppc64/kernel/time.c
diff -puN arch/s390/kernel/compat_wrapper.S~sys_stime-needs-a-compat-function-update arch/s390/kernel/compat_wrapper.S
--- 25/arch/s390/kernel/compat_wrapper.S~sys_stime-needs-a-compat-function-update	Tue Nov 30 14:51:06 2004
+++ 25-akpm/arch/s390/kernel/compat_wrapper.S	Tue Nov 30 14:52:02 2004
@@ -64,7 +64,7 @@ sys32_chdir_wrapper:
 	.globl  sys32_time_wrapper 
 sys32_time_wrapper:
 	llgtr	%r2,%r2			# int *
-	jg	sys_time		# branch to system call
+	jg	compat_sys_time		# branch to system call
 
 	.globl  sys32_mknod_wrapper 
 sys32_mknod_wrapper:
diff -puN arch/sparc64/kernel/systbls.S~sys_stime-needs-a-compat-function-update arch/sparc64/kernel/systbls.S
diff -puN arch/x86_64/ia32/ia32entry.S~sys_stime-needs-a-compat-function-update arch/x86_64/ia32/ia32entry.S
diff -puN arch/x86_64/ia32/sys_ia32.c~sys_stime-needs-a-compat-function-update arch/x86_64/ia32/sys_ia32.c
diff -puN include/asm-ia64/unistd.h~sys_stime-needs-a-compat-function-update include/asm-ia64/unistd.h
--- 25/include/asm-ia64/unistd.h~sys_stime-needs-a-compat-function-update	Tue Nov 30 14:51:06 2004
+++ 25-akpm/include/asm-ia64/unistd.h	Tue Nov 30 14:52:02 2004
@@ -281,6 +281,7 @@
 # define __ARCH_WANT_SYS_OLDUMOUNT
 # define __ARCH_WANT_SYS_SIGPENDING
 # define __ARCH_WANT_SYS_SIGPROCMASK
+# define __ARCH_WANT_COMPAT_SYS_TIME
 #endif
 
 #if !defined(__ASSEMBLY__) && !defined(ASSEMBLER)
diff -puN include/asm-mips/unistd.h~sys_stime-needs-a-compat-function-update include/asm-mips/unistd.h
diff -puN include/asm-parisc/unistd.h~sys_stime-needs-a-compat-function-update include/asm-parisc/unistd.h
diff -puN include/asm-ppc64/unistd.h~sys_stime-needs-a-compat-function-update include/asm-ppc64/unistd.h
diff -puN include/asm-s390/unistd.h~sys_stime-needs-a-compat-function-update include/asm-s390/unistd.h
diff -puN include/asm-sparc64/unistd.h~sys_stime-needs-a-compat-function-update include/asm-sparc64/unistd.h
diff -puN include/asm-x86_64/unistd.h~sys_stime-needs-a-compat-function-update include/asm-x86_64/unistd.h
diff -puN include/linux/syscalls.h~sys_stime-needs-a-compat-function-update include/linux/syscalls.h
--- 25/include/linux/syscalls.h~sys_stime-needs-a-compat-function-update	Tue Nov 30 14:51:06 2004
+++ 25-akpm/include/linux/syscalls.h	Tue Nov 30 14:52:02 2004
@@ -63,7 +63,7 @@ struct mq_attr;
 #include <linux/quota.h>
 #include <linux/key.h>
 
-asmlinkage long sys_time(int __user *tloc);
+asmlinkage long sys_time(time_t __user *tloc);
 asmlinkage long sys_stime(time_t __user *tptr);
 asmlinkage long sys_gettimeofday(struct timeval __user *tv,
 				struct timezone __user *tz);
diff -puN kernel/compat.c~sys_stime-needs-a-compat-function-update kernel/compat.c
--- 25/kernel/compat.c~sys_stime-needs-a-compat-function-update	Tue Nov 30 14:51:06 2004
+++ 25-akpm/kernel/compat.c	Tue Nov 30 14:52:02 2004
@@ -20,6 +20,7 @@
 #include <linux/futex.h>	/* for FUTEX_WAIT */
 #include <linux/syscalls.h>
 #include <linux/unistd.h>
+#include <linux/security.h>
 
 #include <asm/uaccess.h>
 
diff -puN kernel/time.c~sys_stime-needs-a-compat-function-update kernel/time.c
_
